# include "apropos.h"

void
apropos (char *s)
{
  int i;
  char *ptr;
  char search[MAXSTRING], cmd[MAXSTRING], fil[MAXSTRING];
  FILE *f;

  i = strlen (s) - 1;
  while (i > 0 && s[i] == ' ')
    i--;
  s[i + 1] = '\0';
  strcpyuppercase (search, s);

  if (debug_schur)
    fprintf (stderr, "looking for %s in %d commands\n", search, nbCommands);

  for (i = 0; i < nbCommands; i++)
    {
      strcpyuppercase (cmd, CommandTab[i]);
      if (debug_schur)
	fprintf (stderr, "<%s> ", cmd);

      if ((ptr = strstr (cmd, search)) != NULL)
	{
	  printf ("%s:", CommandTab[i]);
	  sprintf (fil, "%s/help/%s", dataPath, CommandTab[i]);
	  f = fopen (fil, "r");
	  if (f != NULL)
	    {
	      while (fgets (fil, MAXSTRING, f) != NULL)
		     if (strncmp (stripwhite(fil), "Description:",
				 strlen ("Description:")) == 0)
			     break;
		;
	      if (fil != NULL)
		{
		  char *ptr = index (fil, '-');
		  if (ptr == NULL)
		    printf ("%s", fil);
		  else
		    {
		      ptr++;
		      if (ptr[strlen (ptr) - 1] == '\n')
			ptr[strlen (ptr) - 1] = '\0';
		      ptr[tcol - strlen (CommandTab[i]) - 4] = '\0';
		      printf ("%s...\n", ptr);
		    }
		}
	    }
	}
    }
  printf ("\n");
}
